Subject: Re: linux-next: manual merge of the akpm-current tree with the folio tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 17 Feb 2022 17:38:10 +1100

Hi all,

On Wed, 16 Feb 2022 21:51:24 -0800 Andrew Morton <[email-masked]> wrote:
>
> On Thu, 17 Feb 2022 16:30:26 +1100 Stephen Rothwell <[email-masked]> wrote:
> > 
> > On Wed, 16 Feb 2022 20:41:35 +0000 Matthew Wilcox <[email-masked]> wrote:  
> > >
> > > So where do we go from here?  I can see ways of resolving this if
> > > Andrew switches to git, but he won't, so that's out.  Perhaps I can
> > > publish a git tree of Hugh's mlock patches and Christoph's series,
> > > and you can pull that before Andrew's tree so git resolves the conflicts
> > > early before trying to resolve conflicts against my tree?  
> > 
> > My response for any other subsystem would be that you need to go
> > through the maintainer's tree.  In this case that means feeding a patch
> > series to Andrew and updating that patch series.
> > 
> > Alternatively, you need to find someone (with Andrew's agreement) who
> > can maintain a git tree that includes all Andrew's MM patches and any
> > other topic branches and deals with all the conflicts and can feed it
> > all to Linus.  Linux-next would also include that tree/branch.
> > 
> > Andrew, do you have any comments?  
> 
> Let's try Matthew's idea - I'll get Hugh's and Christoph's series via
> linux-next and shall figure out the rest.

OK, but I am on vacation from tomorrow until Feb 28th, so I will assume
you will have it all ready for me by then.

> I assume mapletree will throw another spanner in the works?

We will see shortly (I just merged it and will merge the folio tree on
top to give you an indication of the conflicts there).

-- 
Cheers,
Stephen Rothwell